# getRandomSpeciesByStarterCost | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getRandomSpeciesByStarterCost

- getRandomSpeciesByStarterCost(
  starterTiers: number | [number, number],
  excludedSpecies?: Species [],
  types?: PokemonType [],
  allowSubLegendary?: boolean,
  allowLegendary?: boolean,
  allowMythical?: boolean,
  ): Species

  NOTE: This returns ANY random species, including those locked behind eggs, etc.

  #### Parameters

  - starterTiers: number | [number, number]
  - `Optional` excludedSpecies: Species []
  - `Optional` types: PokemonType []
  - allowSubLegendary: boolean = true
  - allowLegendary: boolean = true
  - allowMythical: boolean = true

  #### Returns Species

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:248